RequestPayload
Date: 2016-12-03

com.fasterxml.jackson.core.util

## Class RequestPayload

- java.lang.Object
- - com.fasterxml.jackson.core.util.RequestPayload

- All Implemented Interfaces:
    java.io.Serializable

      public class RequestPayload
      extends java.lang.Object
      implements java.io.Serializable

  Container object used to contain optional information on content being parsed, passed to `JsonParseException` in case of exception being thrown; this may be useful for caller to display information on failure.
  Since:
    2.8
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `_charset`
    `protected byte[]` | `_payloadAsBytes`
    `protected java.lang.CharSequence` | `_payloadAsText`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestPayload(byte[] bytes, java.lang.String charset)`
    `RequestPayload(java.lang.CharSequence str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getRawPayload()` Returns the raw request payload object i.e, either byte[] or String
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _payloadAsBytes

          protected byte[] _payloadAsBytes

    - #### _payloadAsText

          protected java.lang.CharSequence _payloadAsText

    - #### _charset

          protected java.lang.String _charset

  - ### Constructor Detail

    - #### RequestPayload

          public RequestPayload(byte[] bytes,
                        java.lang.String charset)

    - #### RequestPayload

          public RequestPayload(java.lang.CharSequence str)

  - ### Method Detail

    - #### getRawPayload

          public java.lang.Object getRawPayload()

      Returns the raw request payload object i.e, either byte[] or String
      Returns:
        Object which is a raw request payload i.e, either byte[] or String

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`